--- gtkada-gpl-2015-src/shared.gpr.in.old	2017-01-05 23:28:35.838073270 +0100
+++ gtkada-gpl-2015-src/shared.gpr.in	2017-01-05 23:30:17.752255709 +0100
@@ -44,6 +44,8 @@
              for Switches ("C") use ("-O2");
       end case;
 
+      for Driver ("C") use External ("GCC", "gcc");
+      for PIC_Option ("C") use ("-fPIC");
       for Switches ("C") use Compiler'Switches ("C") & Gtk_Include;
       for Switches ("Objective-C") use Compiler'Switches ("Objective-C") & Gtk_Include;
    end Compiler;
--- gtkada-gpl-2016-src/Makefile.in.old	2017-01-21 22:42:18.319969095 +0100
+++ gtkada-gpl-2016-src/Makefile.in	2017-01-21 22:42:33.989700236 +0100
@@ -60,30 +60,33 @@
 LIBRARY_TYPE_FOR_TOOLS=static
 endif
 
-all: tools tests
+all: tools
 static: build_library_type/static
 relocatable: build_library_type/relocatable
 
 tools:
 	@echo "====== Building tools ====="
-	${GPRBUILD_FULL} -XLIBRARY_TYPE=$(LIBRARY_TYPE_FOR_TOOLS) -Psrc/tools/tools.gpr
+	${GPRBUILD_FULL} -v -XLIBRARY_TYPE=$(LIBRARY_TYPE_FOR_TOOLS) \
+	  -Psrc/tools/tools.gpr -cargs:Ada $(ADAFLAGS)
 
 build_library_type/%:  src/gtkada-intl.adb
 	@echo "====== Building $(@F) libraries ====="
-	${GPRBUILD_FULL} -XLIBRARY_TYPE=$(@F) -Psrc/gtkada.gpr
+	${GPRBUILD_FULL} -v -XLIBRARY_TYPE=$(@F) -Psrc/gtkada.gpr \
+	  -cargs:Ada $(ADAFLAGS) -cargs:C $(CFLAGS)
 ifeq (${HAVE_OPENGL}, True)
 	${GPRBUILD_FULL} -XLIBRARY_TYPE=$(@F) -Psrc/opengl/gtkada_gl.gpr
 endif
 
 src/gtkada-intl.adb: src/gtkada-intl.gpb Makefile
-	gnatprep -DGETTEXT_INTL=$(GETTEXT_INTL) -DHAVE_GETTEXT=$(HAVE_GETTEXT) src/gtkada-intl.gpb $@
+	$(GNATPREP) -DGETTEXT_INTL=$(GETTEXT_INTL) -DHAVE_GETTEXT=$(HAVE_GETTEXT) src/gtkada-intl.gpb $@
 
 testgtk/opengl/view_gl.adb: testgtk/opengl/view_gl.gpb Makefile
-	gnatprep -r -c -DHAVE_GL=${HAVE_OPENGL} -DWIN32=False testgtk/opengl/view_gl.gpb $@
+	$(GNATPREP) -r -c -DHAVE_GL=${HAVE_OPENGL} -DWIN32=False testgtk/opengl/view_gl.gpb $@
 
 tests: testgtk/opengl/view_gl.adb
 	@echo "====== Building tests ====="
-	cd testgtk; ${GPRBUILD_FULL} -XLIBRARY_TYPE=$(LIBRARY_TYPE_FOR_TOOLS) -Ptestgtk.gpr -aP ../src
+	cd testgtk; ${GPRBUILD_FULL} -v -XLIBRARY_TYPE=$(LIBRARY_TYPE_FOR_TOOLS) \
+	  -Ptestgtk.gpr -aP ../src -cargs:Ada $(ADAFLAGS)
 
 install/%: force
 	${GPRINSTALL_FULL} -XLIBRARY_TYPE=$(@F) --build-name=$(@F) \
@@ -96,7 +96,7 @@
 ifeq (${HAVE_OPENGL}, True)
 	${GPRINSTALL_FULL} -XLIBRARY_TYPE=$(@F) --build-name=$(@F) \
 		--sources-subdir=include/gtkada/gtkada_gl.$(@F) \
-		--lib-subdir=${libdir}/gtkada/gtkada_gl.$(@F) \
+		--lib-subdir=lib/gtkada/gtkada_gl.$(@F) \
 		-Psrc/opengl/gtkada_gl.gpr
 endif
 
@@ -106,12 +106,9 @@
 		--project-subdir=lib/gnat gtkada
 endif
 
-install: install-clean
+install:
 	${GPRINSTALL_FULL} -XLIBRARY_TYPE=$(LIBRARY_TYPE_FOR_TOOLS) \
 		--mode=usage -Psrc/tools/tools.gpr
-	cd testgtk; ${GPRINSTALL_FULL} -XLIBRARY_TYPE=$(LIBRARY_TYPE_FOR_TOOLS) \
-		--mode=usage --exec-subdir=${exampledir} \
-		-Ptestgtk.gpr -aP ../src
 
 	@echo '-----------------------------------------------------------------------'
 	@echo '--  GtkAda has now been installed.                                   --'
--- gtkada-gpl-2016-src/src/gtkada.gpr.old	2017-05-31 14:21:35.007965274 +0200
+++ gtkada-gpl-2016-src/src/gtkada.gpr	2017-05-31 14:23:16.597315577 +0200
@@ -41,7 +41,13 @@
    for Library_Name use "gtkada";
    for Library_Version use
       "lib" & Project'Library_Name & Shared.So_Ext & "." & Version;
-   for Library_Options use Shared.Gtk_Libs;
+
+   case Shared.Library_Kind is
+      when "relocatable" =>
+         for Library_Options use Shared.Gtk_Libs;
+      when others =>
+         null;
+   end case;
 
    package Builder  renames Shared.Builder;
    package Naming   renames Shared.Naming;
